## ros-kinetic-thormang3-opc 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(thormang3_opc)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-thormang3-opc (0.3.0-0xenial) xenial; urgency=high

  * refactoring to release
  * updated yaml files
  * updated balance param
  * updated walking balance
  * Contributors: Zerom, Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Fri, 30 Mar 2018 15:00:00 -0000

ros-kinetic-thormang3-opc (0.2.0-0xenial) xenial; urgency=high

  * added thormang3_offset_tuner_client package
  * Contributors: Kayman

 -- Pyo <pyo@robotis.com>  Thu, 18 Aug 2016 15:00:00 -0000

ros-kinetic-thormang3-opc (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * added thormang3_motion_script
  * added thormang3_action_msgs
  * added demo: manipulation, walking
  * added description in package.xml
  * modified thormang3_offset_tuner_client: dynamic UI
  * modified thormang3_foot_step_generator for realtime control
  * modified thormang3_demo for thormang3_foot_step_generator
  * modified name of thormang3_motion_script_player to thormang3_action_script_player
  * ROS C++ coding style is applied
  * Contributors: Jay Song, Zerom, Kayman, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-thormang3-opc
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/thormang3_opc
Standards-Version: 3.9.2

Package: ros-kinetic-thormang3-opc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-thormang3-action-script-player, ros-kinetic-thormang3-demo, ros-kinetic-thormang3-foot-step-generator, ros-kinetic-thormang3-navigation, ros-kinetic-thormang3-offset-tuner-client
Description: ROS packages for the thormang3_opc (meta package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-thormang3-opc//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
